﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace kresleni
{
    public partial class MainWindow : Form
    {
        public MainWindow()
        {
            InitializeComponent();
            pictureBox_SizeChanged(null, null);
        }

        private void runMenuItem_Click(object sender, EventArgs e)
        {
            Graphics g = Graphics.FromImage (pictureBox.Image);
            g.DrawLine (new Pen (Color.Red), 10, 10, 100, 100);
            pictureBox.Invalidate ();
        }

        private void quitMenuItem_Click(object sender, EventArgs e)
        {
            Close ();
        }

        int X0, Y0;
        bool click;
        Image save;
        private void pictureBox_MouseDown(object sender, MouseEventArgs e)
        {
            X0 = e.X;
            Y0 = e.Y;
            click = true;
            save = new Bitmap (pictureBox.Image);
            /*
            Image img = pictureBox.Image;
            save = new Bitmap(img.Width, img.Height);
            Graphics g = Graphics.FromImage (save);
            g.DrawImage(img, 0, 0);
            */
        }
        private void pictureBox_MouseMove(object sender, MouseEventArgs e)
        {
            if (click)
            {
                Graphics g = Graphics.FromImage(pictureBox.Image);
                g.DrawImage (save, 0, 0);
                g.DrawLine (new Pen(Color.Red),
                            X0, Y0, e.X, e.Y);
                pictureBox.Invalidate();
            }
        }

        private void pictureBox_MouseUp(object sender, MouseEventArgs e)
        {
            click = false;
        }

        private void pictureBox_SizeChanged(object sender, EventArgs e)
        {
            Image old = pictureBox.Image;
            Image nxt = new Bitmap (pictureBox.Size.Width, pictureBox.Size.Height);
            Graphics g = Graphics.FromImage (nxt);
            g.FillRectangle (new SolidBrush(Color.White), 0, 0, nxt.Width, nxt.Height);
            if (old != null)
               g.DrawImage(old, 0, 0);
            pictureBox.Image = nxt;

        }

    }
}
